Bug 230019 - lang/racket: remove NOT_FOR_ARCHS, fix aarch64
Summary: lang/racket: remove NOT_FOR_ARCHS, fix aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-07-24 16:52 UTC by Greg V
Modified: 2019-04-24 15:13 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (olgeni)


Attachments
racket.patch (1.60 KB, patch)
2018-07-24 16:52 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-07-24 16:52:48 UTC
Created attachment 195426 [details]
racket.patch

Racket actually has been ported to all the architectures, just without JIT.

- FUTURES actually seems to require JIT (errors with JIT-related object files when compiling on aarch64), so I moved FUTURES to the amd64/i386 only section
- aarch64 also required a define. Submitted upstream too: https://github.com/racket/racket/pull/2187

Tested on aarch64, currently testing on armv7.
Comment 1 commit-hook freebsd_committer 2018-11-01 14:43:38 UTC
A commit references this bug:

Author: linimon
Date: Thu Nov  1 14:42:58 UTC 2018
New revision: 483669
URL: https://svnweb.freebsd.org/changeset/ports/483669

Log:
  Racket actually has been ported to all the architectures, just without JIT.

  FUTURES actually seems to require JIT (errors with JIT-related object files
  when compiling on aarch64), so move FUTURES to the amd64/i386 only section.

  aarch64 also required a define.  Submitted upstream:

    https://github.com/racket/racket/pull/2187

  While here, clarify the status on powerpc64 (tested by linimon).

  PR:		230019
  Submitted by:	greg at unrelenting dot technology
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/lang/racket/Makefile
  head/lang/racket/files/patch-src_racket_sconfig.h
Comment 2 Greg V 2018-11-01 16:42:10 UTC
(In reply to commit-hook from comment #1)
The commit doesn't look correct: the non-arch-specific OPTIONS_DEFINE=FUTURES is still present… (the Diff view here shows that it should be gone)

https://github.com/freebsd/freebsd-ports/commit/b2a05b3f8a39ffafb40e451953c9ebdfc93ced35

https://bugs.freebsd.org/bugzilla/attachment.cgi?id=195426&action=diff
Comment 3 Greg V 2019-04-21 13:24:30 UTC
Please commit the patch correctly, it's still trying to use FUTURES:

http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p498440_s346039/logs/errors/racket-7.2.log
Comment 4 commit-hook freebsd_committer 2019-04-23 07:49:26 UTC
A commit references this bug:

Author: linimon
Date: Tue Apr 23 07:48:36 UTC 2019
New revision: 499719
URL: https://svnweb.freebsd.org/changeset/ports/499719

Log:
  Remove spurious OPTIONS_DEFAULT which should have been removed as
  part of r483669.

  PR:		230019
  Submitted by:	Greg V (greg at unrelenting dot technology)
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/lang/racket/Makefile
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2019-04-23 07:49:37 UTC
Fixed properly this time -- I hope.
Comment 6 commit-hook freebsd_committer 2019-04-24 15:13:19 UTC
A commit references this bug:

Author: tobik
Date: Wed Apr 24 15:12:52 UTC 2019
New revision: 499853
URL: https://svnweb.freebsd.org/changeset/ports/499853

Log:
  lang/racket: Unbreak build and put back DOCS option after r499719

  The port still has %%PORTDOCS%% in pkg-plist.

  Pointy hat:	linimon
  PR:		237527, 230019
  Reported by:	m.ne@gmx.net

Changes:
  head/lang/racket/Makefile